petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSNPrintfCount

Prints to a string of given length, returns count

### Synopsis

    PetscErrorCode  PetscSNPrintfCount(char *str,size_t len,const char format[],size_t *countused,...)

Not Collective Many br

### Input Parameters

| str | - the string to print to Many br
| len | - the length of str Many br
| format | - the usual printf() format string Many br
| countused | - number of characters used Many br
| any arguments | - Many br Many br

### See Also

PetscSynchronizedFlush(), PetscSynchronizedFPrintf(), PetscFPrintf(), PetscVSNPrintf(),
PetscPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf(), PetscSNPrintf() Many br

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html